ข้ามไปยังเนื้อหา

Ideogram V2 Turbo

ผสานการทำงาน

ID โมเดล ideogram/v2/turbo
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ideogram/v2/turbo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: $0.05 50 เครดิต API · ≈ ₽5.27 เรียกใช้ในหน้านี้

รับคีย์ API
Ideogram ข้อความเป็นภาพ รวดเร็ว #realism#typography

การแปลงข้อความเป็นภาพด้วย Ideogram V2 ที่เร็วขึ้น พร้อมจุดเด่นด้านตัวอักษร พรีเซ็ตสไตล์ และอัตราส่วนภาพ 11 แบบ

Ideogram · ภาพ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น
aspect_ratio ค่าเริ่มต้น 1:1

อัตราส่วนภาพที่จะใช้สำหรับเอาต์พุตรูปภาพ

ขั้นสูง negative_prompt · style · seed · expand_prompt
ค่าเริ่มต้น

พรอมต์เชิงลบที่ระบุเนื้อหาที่ไม่ต้องการให้ปรากฏในรูปภาพเอาต์พุต

style ค่าเริ่มต้น auto

สไตล์ภาพสำหรับเอาต์พุตรูปภาพ

ค่า seed สำหรับการสร้างตัวเลขสุ่ม

POST /run/ideogram/v2/turbo?wait=20 ใบเสนอราคา → $0.05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ideogram/v2/turbo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Ideogram V2 Turbo

รุ่น Turbo ของ Ideogram V2 ที่สร้างภาพจาก `prompt` เลือก `style` (auto, general, realistic, design, render_3D, anime) และค่า `aspect_ratio` ได้ 1 จาก 11 ค่า นอกจากนี้ยังมี `expand_prompt`, `negative_prompt` และ `seed`

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
aspect_ratioไม่บังคับ
ประเภทenum
ค่าเริ่มต้น1:1
10:1616:109:1616:94:33:41:11:33:13:22:3
อัตราส่วนภาพที่จะใช้สำหรับเอาต์พุตรูปภาพ
expand_promptไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
ควบคุมว่า MagicPrompt จะขยายพรอมต์หรือไม่
seedไม่บังคับ
ประเภทinteger | null
ค่า seed สำหรับการสร้างตัวเลขสุ่ม
styleไม่บังคับ
ประเภทenum
ค่าเริ่มต้นauto
autogeneralrealisticdesignrender_3Danime
สไตล์ภาพสำหรับเอาต์พุตรูปภาพ
negative_promptไม่บังคับ
ประเภทstring
ค่าเริ่มต้น
พรอมต์เชิงลบที่ระบุเนื้อหาที่ไม่ต้องการให้ปรากฏในรูปภาพเอาต์พุต
จำเป็น

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ideogram/v2/turbo",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
images
array of object {url, content_type, file_name, file_size}
seed
integerค่า seed ที่ใช้สำหรับการสร้างตัวเลขสุ่ม

โมเดลเพิ่มเติม: ข้อความเป็นภาพ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/ideogram/v2/turbo.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt